/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.deployers.rar.test;

import java.util.HashSet;

import junit.framework.Test;

import org.jboss.deployment.DeploymentInfo;
import org.jboss.test.deployers.AbstractDeploymentTest;

/**
 * A test that deploys RARs.
 * 
 * @author <a href="adrian@jboss.com">Adrian Brock</a>
 * @version $Revision: 1.1.2.1 $
 */
public class UnpackedRARDeploymentUnitTestCase extends AbstractDeploymentTest
{
  
   public void testRARDeployment() throws Exception
   {
      final HashSet expected = new HashSet();
      expected.add(rar1DeploymentUnpacked);
      expected.add(rarjar1Deployment);

      DeploymentInfo topInfo = assertDeployed(rar1DeploymentUnpacked);
      CheckExpectedDeploymentInfoVisitor visitor = new CheckExpectedDeploymentInfoVisitor(expected);
      visitor.start(topInfo);
      assertTrue("Expected subdeployments: " + expected, expected.isEmpty());
   }
   
   public UnpackedRARDeploymentUnitTestCase(String test)
   {
      super(test);
   }

   public static Test suite() throws Exception
   {
      return getDeploySetup(UnpackedRARDeploymentUnitTestCase.class, rar1DeploymentUnpacked);
   }
}
